# lcfirst

(PHP 5 >= 5.3.0, PHP 7)

lcfirst — Make a string's first character lowercase

### Description

lcfirst ( string `$str` ) : string

Returns a string with the first character of `str` lowercased if that character is alphabetic.

Note that 'alphabetic' is determined by the current locale. For instance, in the default "C" locale characters such as umlaut-a (ä) will not be converted.

### Parameters

`str`

  The input string.

### Return Values

Returns the resulting string.

### Examples

Example #1 lcfirst() example

`<?php
$foo = 'HelloWorld';
$foo = lcfirst($foo); // helloWorld
$bar = 'HELLO WORLD!';
$bar = lcfirst($bar); // hELLO WORLD!
$bar = lcfirst(strtoupper($bar)); // hELLO WORLD!
?>`

### See Also

- ucfirst() - Make a string's first character uppercase
- strtolower() - Make a string lowercase
- strtoupper() - Make a string uppercase
- ucwords() - Uppercase the first character of each word in a string